Subject: Re: bug#55815: [PATCH] bindat: Improve str, strz documentation
From: Eli Zaretskii <[email-masked]>
To: Richard Hansen <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 09 Jun 2022 10:30:34 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 8 Jun 2022 00:16:51 -0400
> Cc: [email-masked], [email-masked]
> From: Richard Hansen <[email-masked]>
> 
> On 6/7/22 12:30, Eli Zaretskii wrote:
> >> Right now all three of those are unibyte, but in a future patch I 
> >> plan on changing the first to accept unibyte-convertible multibyte 
> >> input strings.
> > 
> > Not sure I understand: what do you mean by "unibyte-convertible 
> > multibyte input strings", and how do they differ from the other kinds?
> 
> I mean multibyte strings that do not contain characters that will cause string-to-unibyte to signal an error.

IOW, multibyte strings that contain only ASCII characters and
characters of the 'eight-bit' charset.

> > In any case, you say "unibyte input string" too many time, and that's 
> > unnecessary.
> 
> Done, see attached.

Thanks, installed.